Creates a new job work instruction list.
Request Information
URI Parameters :
None.
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "707b1152-afb4-467d-a741-1ed29ef27fb7",
"jobs_id": "0b4a507d-f152-43ff-86d8-23d67e3bb228",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "eab1525b-23f3-4fc4-b5b2-2fc723b51187",
"_parent_id": "59e1d66a-2461-471f-8392-cc6851f28d83",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "a6dd6b28-7000-4c3e-8b95-7aab02777a40",
"project_reference_back_office": "sample string 5",
"project": {
"id": "bdff1501-8e5a-40b8-883a-8c9befa20a92",
"_parent_id": "fa7a37ba-08b0-41a2-9a68-7c6b74c68e3d",
"root_parent_id": "1e24d450-2959-48d3-a980-a0c38d82e107",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "b7bcdc4c-e1cd-405a-be84-4d03ca4db4ee",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "c625239a-fe3d-448d-9977-ee902cc2c041",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3851c27a-5764-4745-8527-c5b4a3e11985",
"_parent_code": "sample string 6",
"sales_organization_id": "0a379c23-e669-4480-bde8-63543c73ea5b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"equipment_model_id": "be956b14-adec-4c9c-a56e-afe78704118b",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "4d12601f-6710-427d-8a30-8548918f30a7",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "aaacf5e2-c42c-4d7c-9d2e-7821ddb1d754",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "9875ef9c-05e4-4adf-821b-db83e52f0e91",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "129358e3-8ee6-43de-a011-b804d5f13599",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"equipment_family_id": "22a55dae-ec6b-450a-a949-68d33f77a21f",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "c625239a-fe3d-448d-9977-ee902cc2c041",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3851c27a-5764-4745-8527-c5b4a3e11985",
"_parent_code": "sample string 6",
"sales_organization_id": "0a379c23-e669-4480-bde8-63543c73ea5b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"date_in_production_since": "2026-11-16T18:03:30.2264537+00:00",
"date_out_of_production_since": "2026-11-16T18:03:30.2264537+00:00",
"date_end_support": "2026-11-16T18:03:30.2264537+00:00",
"sales_organization_id": "7adb09ea-d241-47ae-b466-9524c89299d5",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
},
"project_status_id": "33950174-2d4c-4333-9c1b-a1948ddd00a6",
"project_status_code": "sample string 10",
"project_status": {
"id": "15a077b2-d8aa-459a-adeb-26bae62fddb9",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "4dbc5e9a-5349-4c0d-86d6-6ba27871b4d0",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
},
"company_id": "819b20dc-8580-421c-a85f-5b72e100b408",
"company_code": "sample string 12",
"db_address_id": "5b2a7cc7-8045-408b-a358-51acd2392a55",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "fab4a378-0d62-4190-984e-1530ac0844c6",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "aab96373-e879-4555-a0f1-b05cdfe20afa",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-16T18:03:30.2420736+00:00",
"date_create": "2026-11-16T18:03:30.2420736+00:00",
"date_update": "2026-11-16T18:03:30.2420736+00:00",
"updated_by_user_id": "593b39f1-df3f-4f5a-a37f-f4505f1b4635",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-16T18:03:30.2420736+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-16T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-16T18:03:30.2420736+00:00",
"date_last_job": "2026-11-16T18:03:30.2420736+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-16T18:03:30.2420736+00:00",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00",
"is_mobile_installation": true
},
"job_type_id": "cb3eba3b-a11f-480c-9b96-423b8b4421d2",
"job_type_code": "sample string 7",
"job_type": {
"id": "d84a3269-895a-4660-89c0-fa7288050ca6",
"name": "sample string 2",
"sales_organization_id": "848e5e7a-2235-40b0-bee0-56fc78b6e9a6",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00",
"code": "sample string 7"
},
"job_priority_id": "17f135dc-c64f-4cc1-a026-9fe572533b8d",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "983cb8c2-6965-4720-947a-d55065a4131e",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "2b71bee0-b4df-4433-b18f-cb7d6367b16e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
},
"job_status_id": "5e516d0e-a629-4391-b5fc-00b347c4b241",
"job_status_code": "sample string 11",
"db_address_id": "8257f5b1-91a4-47ad-bdc3-8fac85741ece",
"contact_id": "d8194db3-ed1c-4299-bb43-cef649d1e0a6",
"requested_by_company_id": "28926e21-8f59-4609-af3c-84cb4763b187",
"requested_by_contact_id": "cb0fefaf-e9f0-4dbc-8649-8b25f5fcfa56",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-16T18:03:30.2420736+00:00",
"due_date": "2026-11-16T18:03:30.2420736+00:00",
"date_create": "2026-11-16T18:03:30.2420736+00:00",
"date_update": "2026-11-16T18:03:30.2420736+00:00",
"date_closed": "2026-11-16T18:03:30.2420736+00:00",
"suggested_user_id": "2709dca2-219d-4cf9-8056-e7aa962bbac1",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "88b9db60-1be8-4b5f-b214-e3e621b26f5e",
"db_language_id": "0d255f65-cbf1-46ca-8cd9-b0e88a9a0422",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-16T18:03:30.2420736+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "ae6664c5-d7a0-49c3-a537-23b6da2ab162",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "f9bcd6ed-e5c2-472d-b1c6-9ef4b6ada0a9",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "7f829e21-0f32-4276-bbb3-80d900ea9cdc",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "7074a7ff-3f7c-49eb-9820-dc4dec05ce3c"
},
"suggested_date_start": "2026-11-16T18:03:30.2420736+00:00",
"skill_id": "4d7b44d1-af47-47b4-8967-83ac19f299b9",
"skill_code": "sample string 32",
"skill": {
"id": "6a400956-21bd-4f55-b652-3c568be6bbff",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "6f9d7f44-282a-4111-aa63-34d7268c3f21",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a4ebb5df-4a8d-4c11-94ab-3561b525d538",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bf60b31b-2d9a-4303-ac38-85e0a0de9dd7",
"db_currency_id": "605778e6-47ad-4ec6-9554-3af5deb8cb95",
"db_language_id": "e8dce715-5d73-4053-80f5-11ea978b8631",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T18:03:30.2264537+00:00"
},
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "ab8691cb-b055-4b5d-9637-dab8c856223c",
"date_reported_by_company": "2026-11-16T18:03:30.2420736+00:00",
"id2": 36,
"company_id": "db722da8-7e71-42e6-9850-d406ff241ba1",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "be56a15c-87ef-4c21-92d0-9bf8d0868287",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
},
"work_instruction_details_id": "0c01f429-7b05-4812-8350-91129fb38dac",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "3a1f4659-06c8-47a2-b7cc-d1a36872f964",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "cca1dc69-c42f-4fcf-a76f-aad56213ab20",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-16T18:03:30.2420736+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "dad910ae-a45a-4fc4-9f53-a3c0ba632c14",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-16T18:03:30.2420736+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.